using System.Windows.Forms;

namespace WindowsApplication
{
    public partial class ContextMenuStripNotOKForm : Form
    {
        public ContextMenuStripNotOKForm()
        {
            InitializeComponent();
        }

        protected override void OnLoad(System.EventArgs e)
        {
            base.OnLoad(e);

            ContextMenuStrip menu = new ContextMenuStrip();
            menu.Items.Add("Item 1");
            menu.Items.Add("Item 2");
            ContextMenuStrip = menu;

            Disposed += delegate
                {
                    if (chkDispose.Checked)
                        ContextMenuStrip.Dispose();
                };
        }

        private void btnDispose_Click(object sender, System.EventArgs e)
        {
            Dispose();
        }
    }
}