using System;
using System.Windows.Forms;
using Microsoft.Win32;

namespace WindowsApplication
{
    public partial class StaticEventForm : Form
    {
        public StaticEventForm()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            SystemEvents.UserPreferenceChanged += SystemEvents_UserPreferenceChanged;
            Disposed += delegate
                {
                    if (chkUnsubscribe.Checked)
                        SystemEvents.UserPreferenceChanged -= SystemEvents_UserPreferenceChanged;
                };
        }

        private void SystemEvents_UserPreferenceChanged(object sender, UserPreferenceChangedEventArgs e)
        {
        }

        private void btnDispose_Click(object sender, EventArgs e)
        {
            Dispose();
        }
    }
}